Subject: Re: bug#28157: “r-minimal” retains no reference to “which”

From: [email-masked] (Ludovic Courtès)
Date: Tue, 22 Aug 2017 11:38:50 +0200

Ricardo Wurmus <[email-masked]> skribis:

> Right.  In the case of R, the environment for a package is serialized to
> a possibly compressed data file (.Rdb) with an index (.Rdx).
> “Sys.which” is part of the “base” package and I cannot find a plain text
> reference to “bin/which” in the binaries for “base”.

Doh!  That’s a problem.  The GC won’t detect those references either,
which can lead to early-deletion problems.

> I don’t know if we can (or should) disable compression for Rdb files.

We’ll probably have to disable it.  (According to ‘file’ it’s no a
standard compression format like gzip; maybe raw zlib without gzip
headers?)

Ludo’.